Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network228.32.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
228.32.0.0
Broadcast address
228.63.255.255
First usable
228.32.0.1
Last usable
228.63.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E4200000 · Integer 3827302400 to 3829399551
Reverse DNS zones
32.228.in-addr.arpa
33.228.in-addr.arpa
34.228.in-addr.arpa
35.228.in-addr.arpa
36.228.in-addr.arpa
37.228.in-addr.arpa
38.228.in-addr.arpa
39.228.in-addr.arpa
40.228.in-addr.arpa
41.228.in-addr.arpa
42.228.in-addr.arpa
43.228.in-addr.arpa
44.228.in-addr.arpa
45.228.in-addr.arpa
46.228.in-addr.arpa
47.228.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100100.00100000.00000000.00000000228.32.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11100100.00100000.00000000.00000000228.32.0.0
Broadcast11100100.00111111.11111111.11111111228.63.255.255
Split into smaller subnets/18

228.32.0.0/11 makes 128 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1228.32.0.0/18228.32.0.1 to 228.32.63.254228.32.63.25516,382
2228.32.64.0/18228.32.64.1 to 228.32.127.254228.32.127.25516,382
3228.32.128.0/18228.32.128.1 to 228.32.191.254228.32.191.25516,382
4228.32.192.0/18228.32.192.1 to 228.32.255.254228.32.255.25516,382
5228.33.0.0/18228.33.0.1 to 228.33.63.254228.33.63.25516,382
6228.33.64.0/18228.33.64.1 to 228.33.127.254228.33.127.25516,382
7228.33.128.0/18228.33.128.1 to 228.33.191.254228.33.191.25516,382
8228.33.192.0/18228.33.192.1 to 228.33.255.254228.33.255.25516,382
9228.34.0.0/18228.34.0.1 to 228.34.63.254228.34.63.25516,382
10228.34.64.0/18228.34.64.1 to 228.34.127.254228.34.127.25516,382
11228.34.128.0/18228.34.128.1 to 228.34.191.254228.34.191.25516,382
12228.34.192.0/18228.34.192.1 to 228.34.255.254228.34.255.25516,382
13228.35.0.0/18228.35.0.1 to 228.35.63.254228.35.63.25516,382
14228.35.64.0/18228.35.64.1 to 228.35.127.254228.35.127.25516,382
15228.35.128.0/18228.35.128.1 to 228.35.191.254228.35.191.25516,382
16228.35.192.0/18228.35.192.1 to 228.35.255.254228.35.255.25516,382
17228.36.0.0/18228.36.0.1 to 228.36.63.254228.36.63.25516,382
18228.36.64.0/18228.36.64.1 to 228.36.127.254228.36.127.25516,382
19228.36.128.0/18228.36.128.1 to 228.36.191.254228.36.191.25516,382
20228.36.192.0/18228.36.192.1 to 228.36.255.254228.36.255.25516,382
21228.37.0.0/18228.37.0.1 to 228.37.63.254228.37.63.25516,382
22228.37.64.0/18228.37.64.1 to 228.37.127.254228.37.127.25516,382
23228.37.128.0/18228.37.128.1 to 228.37.191.254228.37.191.25516,382
24228.37.192.0/18228.37.192.1 to 228.37.255.254228.37.255.25516,382
25228.38.0.0/18228.38.0.1 to 228.38.63.254228.38.63.25516,382
26228.38.64.0/18228.38.64.1 to 228.38.127.254228.38.127.25516,382
27228.38.128.0/18228.38.128.1 to 228.38.191.254228.38.191.25516,382
28228.38.192.0/18228.38.192.1 to 228.38.255.254228.38.255.25516,382
29228.39.0.0/18228.39.0.1 to 228.39.63.254228.39.63.25516,382
30228.39.64.0/18228.39.64.1 to 228.39.127.254228.39.127.25516,382
31228.39.128.0/18228.39.128.1 to 228.39.191.254228.39.191.25516,382
32228.39.192.0/18228.39.192.1 to 228.39.255.254228.39.255.25516,382
33228.40.0.0/18228.40.0.1 to 228.40.63.254228.40.63.25516,382
34228.40.64.0/18228.40.64.1 to 228.40.127.254228.40.127.25516,382
35228.40.128.0/18228.40.128.1 to 228.40.191.254228.40.191.25516,382
36228.40.192.0/18228.40.192.1 to 228.40.255.254228.40.255.25516,382
37228.41.0.0/18228.41.0.1 to 228.41.63.254228.41.63.25516,382
38228.41.64.0/18228.41.64.1 to 228.41.127.254228.41.127.25516,382
39228.41.128.0/18228.41.128.1 to 228.41.191.254228.41.191.25516,382
40228.41.192.0/18228.41.192.1 to 228.41.255.254228.41.255.25516,382
41228.42.0.0/18228.42.0.1 to 228.42.63.254228.42.63.25516,382
42228.42.64.0/18228.42.64.1 to 228.42.127.254228.42.127.25516,382
43228.42.128.0/18228.42.128.1 to 228.42.191.254228.42.191.25516,382
44228.42.192.0/18228.42.192.1 to 228.42.255.254228.42.255.25516,382
45228.43.0.0/18228.43.0.1 to 228.43.63.254228.43.63.25516,382
46228.43.64.0/18228.43.64.1 to 228.43.127.254228.43.127.25516,382
47228.43.128.0/18228.43.128.1 to 228.43.191.254228.43.191.25516,382
48228.43.192.0/18228.43.192.1 to 228.43.255.254228.43.255.25516,382
49228.44.0.0/18228.44.0.1 to 228.44.63.254228.44.63.25516,382
50228.44.64.0/18228.44.64.1 to 228.44.127.254228.44.127.25516,382
51228.44.128.0/18228.44.128.1 to 228.44.191.254228.44.191.25516,382
52228.44.192.0/18228.44.192.1 to 228.44.255.254228.44.255.25516,382
53228.45.0.0/18228.45.0.1 to 228.45.63.254228.45.63.25516,382
54228.45.64.0/18228.45.64.1 to 228.45.127.254228.45.127.25516,382
55228.45.128.0/18228.45.128.1 to 228.45.191.254228.45.191.25516,382
56228.45.192.0/18228.45.192.1 to 228.45.255.254228.45.255.25516,382
57228.46.0.0/18228.46.0.1 to 228.46.63.254228.46.63.25516,382
58228.46.64.0/18228.46.64.1 to 228.46.127.254228.46.127.25516,382
59228.46.128.0/18228.46.128.1 to 228.46.191.254228.46.191.25516,382
60228.46.192.0/18228.46.192.1 to 228.46.255.254228.46.255.25516,382
61228.47.0.0/18228.47.0.1 to 228.47.63.254228.47.63.25516,382
62228.47.64.0/18228.47.64.1 to 228.47.127.254228.47.127.25516,382
63228.47.128.0/18228.47.128.1 to 228.47.191.254228.47.191.25516,382
64228.47.192.0/18228.47.192.1 to 228.47.255.254228.47.255.25516,382
65228.48.0.0/18228.48.0.1 to 228.48.63.254228.48.63.25516,382
66228.48.64.0/18228.48.64.1 to 228.48.127.254228.48.127.25516,382
67228.48.128.0/18228.48.128.1 to 228.48.191.254228.48.191.25516,382
68228.48.192.0/18228.48.192.1 to 228.48.255.254228.48.255.25516,382
69228.49.0.0/18228.49.0.1 to 228.49.63.254228.49.63.25516,382
70228.49.64.0/18228.49.64.1 to 228.49.127.254228.49.127.25516,382
71228.49.128.0/18228.49.128.1 to 228.49.191.254228.49.191.25516,382
72228.49.192.0/18228.49.192.1 to 228.49.255.254228.49.255.25516,382
73228.50.0.0/18228.50.0.1 to 228.50.63.254228.50.63.25516,382
74228.50.64.0/18228.50.64.1 to 228.50.127.254228.50.127.25516,382
75228.50.128.0/18228.50.128.1 to 228.50.191.254228.50.191.25516,382
76228.50.192.0/18228.50.192.1 to 228.50.255.254228.50.255.25516,382
77228.51.0.0/18228.51.0.1 to 228.51.63.254228.51.63.25516,382
78228.51.64.0/18228.51.64.1 to 228.51.127.254228.51.127.25516,382
79228.51.128.0/18228.51.128.1 to 228.51.191.254228.51.191.25516,382
80228.51.192.0/18228.51.192.1 to 228.51.255.254228.51.255.25516,382
81228.52.0.0/18228.52.0.1 to 228.52.63.254228.52.63.25516,382
82228.52.64.0/18228.52.64.1 to 228.52.127.254228.52.127.25516,382
83228.52.128.0/18228.52.128.1 to 228.52.191.254228.52.191.25516,382
84228.52.192.0/18228.52.192.1 to 228.52.255.254228.52.255.25516,382
85228.53.0.0/18228.53.0.1 to 228.53.63.254228.53.63.25516,382
86228.53.64.0/18228.53.64.1 to 228.53.127.254228.53.127.25516,382
87228.53.128.0/18228.53.128.1 to 228.53.191.254228.53.191.25516,382
88228.53.192.0/18228.53.192.1 to 228.53.255.254228.53.255.25516,382
89228.54.0.0/18228.54.0.1 to 228.54.63.254228.54.63.25516,382
90228.54.64.0/18228.54.64.1 to 228.54.127.254228.54.127.25516,382
91228.54.128.0/18228.54.128.1 to 228.54.191.254228.54.191.25516,382
92228.54.192.0/18228.54.192.1 to 228.54.255.254228.54.255.25516,382
93228.55.0.0/18228.55.0.1 to 228.55.63.254228.55.63.25516,382
94228.55.64.0/18228.55.64.1 to 228.55.127.254228.55.127.25516,382
95228.55.128.0/18228.55.128.1 to 228.55.191.254228.55.191.25516,382
96228.55.192.0/18228.55.192.1 to 228.55.255.254228.55.255.25516,382
97228.56.0.0/18228.56.0.1 to 228.56.63.254228.56.63.25516,382
98228.56.64.0/18228.56.64.1 to 228.56.127.254228.56.127.25516,382
99228.56.128.0/18228.56.128.1 to 228.56.191.254228.56.191.25516,382
100228.56.192.0/18228.56.192.1 to 228.56.255.254228.56.255.25516,382
101228.57.0.0/18228.57.0.1 to 228.57.63.254228.57.63.25516,382
102228.57.64.0/18228.57.64.1 to 228.57.127.254228.57.127.25516,382
103228.57.128.0/18228.57.128.1 to 228.57.191.254228.57.191.25516,382
104228.57.192.0/18228.57.192.1 to 228.57.255.254228.57.255.25516,382
105228.58.0.0/18228.58.0.1 to 228.58.63.254228.58.63.25516,382
106228.58.64.0/18228.58.64.1 to 228.58.127.254228.58.127.25516,382
107228.58.128.0/18228.58.128.1 to 228.58.191.254228.58.191.25516,382
108228.58.192.0/18228.58.192.1 to 228.58.255.254228.58.255.25516,382
109228.59.0.0/18228.59.0.1 to 228.59.63.254228.59.63.25516,382
110228.59.64.0/18228.59.64.1 to 228.59.127.254228.59.127.25516,382
111228.59.128.0/18228.59.128.1 to 228.59.191.254228.59.191.25516,382
112228.59.192.0/18228.59.192.1 to 228.59.255.254228.59.255.25516,382
113228.60.0.0/18228.60.0.1 to 228.60.63.254228.60.63.25516,382
114228.60.64.0/18228.60.64.1 to 228.60.127.254228.60.127.25516,382
115228.60.128.0/18228.60.128.1 to 228.60.191.254228.60.191.25516,382
116228.60.192.0/18228.60.192.1 to 228.60.255.254228.60.255.25516,382
117228.61.0.0/18228.61.0.1 to 228.61.63.254228.61.63.25516,382
118228.61.64.0/18228.61.64.1 to 228.61.127.254228.61.127.25516,382
119228.61.128.0/18228.61.128.1 to 228.61.191.254228.61.191.25516,382
120228.61.192.0/18228.61.192.1 to 228.61.255.254228.61.255.25516,382
121228.62.0.0/18228.62.0.1 to 228.62.63.254228.62.63.25516,382
122228.62.64.0/18228.62.64.1 to 228.62.127.254228.62.127.25516,382
123228.62.128.0/18228.62.128.1 to 228.62.191.254228.62.191.25516,382
124228.62.192.0/18228.62.192.1 to 228.62.255.254228.62.255.25516,382
125228.63.0.0/18228.63.0.1 to 228.63.63.254228.63.63.25516,382
126228.63.64.0/18228.63.64.1 to 228.63.127.254228.63.127.25516,382
127228.63.128.0/18228.63.128.1 to 228.63.191.254228.63.191.25516,382
128228.63.192.0/18228.63.192.1 to 228.63.255.254228.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses